=== debian/control ===
Source: xotcl
Section: libs
Priority: optional
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Stefan Sobernig <stefan.sobernig@wu-wien.ac.at>
Build-Depends: debhelper-compat (= 13), tcl-dev (>= 8.6), tk-dev (>= 8.6), libexpat1-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: http://www.xotcl.org/
Vcs-Browser: https://salsa.debian.org/tcltk-team/xotcl
Vcs-Git: https://salsa.debian.org/tcltk-team/xotcl.git

Package: xotcl
Architecture: any
Depends: ${tclsh:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Extended Object Tcl (XOTcl): Object orientation for Tcl - shared library
 Extended Object Tcl (for short: XOTcl, pronounced exotickle) is an
 object-oriented scripting language based on Tcl. It was originally
 designed for providing language support for design patterns and
 provides novel constructs such as filters or transitive mixin
 classes. The language is designed for empowering rather than
 constraining system developers. The basic object model is highly
 influenced by CLOS.

Package: xotcl-shells
Section: utils
Architecture: any
Depends: xotcl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Extended Object Tcl (XOTcl): Object orientation for Tcl - shells
 This package provides you with two Tcl/Tk shell wrappers, xotclsh and
 xowish. These shells offer ready-made environments for
 XOTcl-empowered scripting.

Package: xotcl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Extended Object Tcl (XOTcl): Object orientation for Tcl - manual
 This package brings the official XOTcl language reference and a
 comprehensive tutorial to you. They are registered with the doc-base
 family of tools. Moreover, you will find code examples on how to use
 various XOTcl features and packages. 

Package: xotcl-dev
Section: libdevel
Architecture: any
Depends: xotcl (= ${binary:Version}), ${misc:Depends}
Description: Extended Object Tcl (XOTcl): Object orientation for Tcl - development files
 Header files and static libraries for libxotcl. You will need this
 package in place if you plan to develop using the XOTcl C interface
 and/or if you want to create custom builts of XOTcl C extensions.
