=== debian/watch ===
version=3
http://sf.net/xotcl/xotcl-(1\.\d\.\d+)\.tar\.gz
